Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ConfigVariableManager Class Reference

A global object that maintains the set of ConfigVariables (actually, ConfigVariableCores) everywhere in the world, and keeps them in sorted order. More...

List of all members.

## Public Member Functions
int | getNumVariables ()
| Returns the current number of active ConfigVariableCores in the world.
ConfigVariableCore | getVariable (int n)
| Returns the nth active ConfigVariableCore in the world.
string | getVariableName (int n)
bool | isVariableUsed (int n)
| listDynamicVariables ()
| listUnusedVariables ()
| listVariables ()
ConfigVariableCore | makeVariable (string name)
ConfigVariableCore | makeVariableTemplate (string pattern, ValueType type, string default_value)
ConfigVariableCore | makeVariableTemplate (string pattern, ValueType type, string default_value, string description)
ConfigVariableCore | makeVariableTemplate (string pattern, ValueType type, string default_value, string description, int flags)
| output (ostream out)
| write (ostream out)
| writePrcVariables (ostream out)
## Static Public Member Functions
static ConfigVariableManager | getGlobalPtr ()

## Detailed Description

A global object that maintains the set of ConfigVariables (actually, ConfigVariableCores) everywhere in the world, and keeps them in sorted order.

## Member Function Documentation

static ConfigVariableManager getGlobalPtr | ( |  | ) | `[static]`

int getNumVariables | ( |  | ) |

Returns the current number of active ConfigVariableCores in the world.

ConfigVariableCore getVariable | ( | int | n | ) |

Returns the nth active ConfigVariableCore in the world.

string getVariableName | ( | int | n | ) |

bool isVariableUsed | ( | int | n | ) |

listDynamicVariables | ( |  | ) |

listUnusedVariables | ( |  | ) |

listVariables | ( |  | ) |

ConfigVariableCore makeVariable | ( | string | name | ) |

ConfigVariableCore makeVariableTemplate | ( | string | pattern,
|  | ValueType | type,
|  | string | default_value
| ) |  |

ConfigVariableCore makeVariableTemplate | ( | string | pattern,
|  | ValueType | type,
|  | string | default_value,
|  | string | description
| ) |  |

ConfigVariableCore makeVariableTemplate | ( | string | pattern,
|  | ValueType | type,
|  | string | default_value,
|  | string | description,
|  | int | flags
| ) |  |

output | ( | ostream | out | ) |

write | ( | ostream | out | ) |

writePrcVariables | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties